{
  inputs,
  mutableUsers ? false,
  username ? "nathan",
  homedir ? "/home/nathan",
}:
{
  config,
  lib,
  pkgs,
  ...
}:

{
   security.polkit = { enable = true; };
   users = {
	inherit mutableUsers;
	users.${username} = {
		home = homedir;
		description = "Nathan McCarty";
		shell = pkgs.nushell;
		isNormalUser = true;
		extraGroups = [
		  "wheel"
		];
		hashedPassword = "$6$ShBAPGwzKZuB7eEv$cbb3erUqtVGFo/Vux9UwT2NkbVG9VGCxJxPiZFYL0DIc3t4GpYxjkM0M7fFnh.6V8MoSKLM/TvOtzdWbYwI58.";
	};

   };
}
